changeset 53497:755e08f972c3

8212903: [TestBug] Tests test/jdk/javax/swing/LookAndFeel/8145547/DemandGTK2.sh and DemandGTK3.sh fail on Ubuntu 18.04 LTS Reviewed-by: prr, psadhukhan
author pbansal
date Wed, 31 Oct 2018 14:22:48 +0530
parents edc729e2ee36
children 20e47d686221
files test/jdk/javax/swing/LookAndFeel/8145547/DemandGTK2.sh test/jdk/javax/swing/LookAndFeel/8145547/DemandGTK3.sh
diffstat 2 files changed, 8 insertions(+), 6 deletions(-) [+]
line wrap: on
line diff
--- a/test/jdk/javax/swing/LookAndFeel/8145547/DemandGTK2.sh	Tue Oct 30 15:51:10 2018 -0700
+++ b/test/jdk/javax/swing/LookAndFeel/8145547/DemandGTK2.sh	Wed Oct 31 14:22:48 2018 +0530
@@ -1,7 +1,7 @@
 #!/bin/ksh -p
 
 #
-# Copyright (c) 2016, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2016, 2018, Oracle and/or its affiliates. All rights reserved.
 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 #
 # This code is free software; you can redistribute it and/or modify it
@@ -27,6 +27,7 @@
 #   @summary  Try to force GTK2. We must bail out to GTK3 (if any) if no 2 available.
 #
 #   @key headful
+#   @bug 8156128 8212903
 #   @compile ProvokeGTK.java
 #   @requires os.family == "linux"
 #   @run shell/timeout=400 DemandGTK2.sh
@@ -61,12 +62,12 @@
         exit 1
     fi
     echo "No GTK 2 library found: we should bail out to 3"
-    strace -o strace.log -fe open ${TESTJAVA}/bin/java  -cp ${TESTCLASSPATH}  -Djdk.gtk.version=2 ProvokeGTK
+    strace -o strace.log -fe open,openat ${TESTJAVA}/bin/java  -cp ${TESTCLASSPATH}  -Djdk.gtk.version=2 ProvokeGTK
     EXECRES=$?
     grep  'libgtk-3.*=\ *[0-9]*$' strace.log > logg
 else
     echo "There is GTK 2 library: we should use it"
-    strace -o strace.log -fe open ${TESTJAVA}/bin/java  -cp ${TESTCLASSPATH}  -Djdk.gtk.version=2 ProvokeGTK
+    strace -o strace.log -fe open,openat ${TESTJAVA}/bin/java  -cp ${TESTCLASSPATH}  -Djdk.gtk.version=2 ProvokeGTK
     EXECRES=$?
     grep  'libgtk-x11.*=\ *[0-9]*$' strace.log > logg
 fi
--- a/test/jdk/javax/swing/LookAndFeel/8145547/DemandGTK3.sh	Tue Oct 30 15:51:10 2018 -0700
+++ b/test/jdk/javax/swing/LookAndFeel/8145547/DemandGTK3.sh	Wed Oct 31 14:22:48 2018 +0530
@@ -1,7 +1,7 @@
 #!/bin/ksh -p
 
 #
-# Copyright (c) 2016, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2016, 2018, Oracle and/or its affiliates. All rights reserved.
 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 #
 # This code is free software; you can redistribute it and/or modify it
@@ -28,6 +28,7 @@
 #   @summary  Try to force GTK3. We must bail out to GTK2 if no 3 available.
 #
 #   @key headful
+#   @bug 8156128 8212903
 #   @compile ProvokeGTK.java
 #   @requires os.family == "linux"
 #   @run shell/timeout=400 DemandGTK3.sh
@@ -54,12 +55,12 @@
 then
     
     echo "No GTK 3 library found: we should bail out to 2"
-    strace -o strace.log -fe open ${TESTJAVA}/bin/java  -cp ${TESTCLASSPATH}  -Djdk.gtk.version=3 ProvokeGTK
+    strace -o strace.log -fe open,openat ${TESTJAVA}/bin/java  -cp ${TESTCLASSPATH}  -Djdk.gtk.version=3 ProvokeGTK
     EXECRES=$?
     grep  'libgtk-x11.*=\ *[0-9]*$' strace.log > logg
 else
     echo "There is GTK 3 library: we should use it"
-    strace -o strace.log -fe open ${TESTJAVA}/bin/java  -cp ${TESTCLASSPATH}  -Djdk.gtk.version=3 ProvokeGTK
+    strace -o strace.log -fe open,openat ${TESTJAVA}/bin/java  -cp ${TESTCLASSPATH}  -Djdk.gtk.version=3 ProvokeGTK
     EXECRES=$?
     grep  'libgtk-3.*=\ *[0-9]*$' strace.log > logg
 fi